org.eclipse.ecf.provider.remoteservice.generic

## Class RemoteServiceContainerAdapterFactory

- java.lang.Object
- - org.eclipse.ecf.core.AbstractContainerAdapterFactory
  - - org.eclipse.ecf.core.sharedobject.AbstractSharedObjectContainerAdapterFactory
    - - org.eclipse.ecf.provider.remoteservice.generic.RemoteServiceContainerAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class RemoteServiceContainerAdapterFactory
    extends AbstractSharedObjectContainerAdapterFactory

### Field Summary

### Fields inherited from class org.eclipse.ecf.core.sharedobject.AbstractSharedObjectContainerAdapterFactory

`ADD_ADAPTER_ERROR_CODE, ADD_ADAPTER_ERROR_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`RemoteServiceContainerAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ISharedObject` `createAdapter(ISharedObjectContainer container, Class adapterType, ID adapterID)` Create an adapter instance that implements `ISharedObject` and adapterType.
`Class[]` `getAdapterList()`

### Methods inherited from class org.eclipse.ecf.core.sharedobject.AbstractSharedObjectContainerAdapterFactory

`createAdapterID, createAdapterProperties, getContainerAdapter, getSharedObjectAdapter`

### Methods inherited from class org.eclipse.ecf.core.AbstractContainerAdapterFactory

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteServiceContainerAdapterFactory

    public RemoteServiceContainerAdapterFactory()

### Method Detail

#### createAdapter

    protected ISharedObject createAdapter(ISharedObjectContainer container,
                                          Class adapterType,
                                          ID adapterID)

Description copied from class: `AbstractSharedObjectContainerAdapterFactory`
Create an adapter instance that implements `ISharedObject` and adapterType. The resulting instance must implement both `ISharedObject` and adapterType

Specified by:
  `createAdapter` in class `AbstractSharedObjectContainerAdapterFactory`
Parameters:
  `container` - the container that will contain the new adapter instance
  `adapterType` - the adapter type. The returned value must implement this interface
  `adapterID` - the ID to use for the new adapter
Returns:
  ISharedObject the new adapter. If null is returned, then `AbstractSharedObjectContainerAdapterFactory.getSharedObjectAdapter(ISharedObjectContainer, Class)` will also return null

#### getAdapterList

    public Class[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
Specified by:
  `getAdapterList` in class `AbstractSharedObjectContainerAdapterFactory`